net.sourceforge.pmd.renderers

## Class HTMLRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractIncrementingRenderer
      - - net.sourceforge.pmd.renderers.HTMLRenderer

All Implemented Interfaces:
  PropertySource, Renderer

    public class HTMLRenderer
    extends AbstractIncrementingRenderer

Renderer to basic HTML format. FIXME: this class should just work with the XMLRenderer and then apply an XSLT transformation + stylesheet. No need to hard-code HTML markup here.

### Field Summary

Fields
`static StringProperty` `LINE_PREFIX`
`static StringProperty` `LINK_PREFIX`
`static String` `NAME`

### Fields inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

`errors, suppressed`

### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

`description, name, propertyDefinitions, showSuppressedViolations, writer`

### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

`propertyDescriptors, propertyValuesByDescriptor`

### Constructor Summary

Constructors
Constructor and Description
`HTMLRenderer()`

### Method Summary

Methods
`String` `defaultFileExtension()` Return the default filename extension to use.
`void` `end()` This method is at the very end of the Rendering process, after `Renderer.renderFileReport(Report)`.
`void` `renderBody(Writer writer, Report report)` Write the body of the main body of the HTML content.
`void` `renderFileViolations(Iterator<RuleViolation> violations)` Render a series of `RuleViolation`s.
`void` `start()` This method is called before any source files are processed.

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

`renderFileReport, startFileAnalysis`

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

`defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

`copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertySource

`definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### LINE_PREFIX

    public static final StringProperty LINE_PREFIX

#### LINK_PREFIX

    public static final StringProperty LINK_PREFIX

### Constructor Detail

#### HTMLRenderer

    public HTMLRenderer()

### Method Detail

#### defaultFileExtension

    public String defaultFileExtension()

Description copied from interface: `Renderer`
Return the default filename extension to use.

Returns:
  String

#### renderBody

    public void renderBody(Writer writer,
                  Report report)
                    throws IOException

Write the body of the main body of the HTML content.

Parameters:
  `writer` -
  `report` -
Throws:
  `IOException`

#### start

    public void start()
               throws IOException

This method is called before any source files are processed. The Renderer will have been fully initialized by the time this method is called, so the Writer and other state will be available.

Specified by:
  `start` in interface `Renderer`
Overrides:
  `start` in class `AbstractIncrementingRenderer`
Throws:
  `IOException`

#### renderFileViolations

    public void renderFileViolations(Iterator<RuleViolation> violations)
                              throws IOException

Render a series of `RuleViolation`s.

Specified by:
  `renderFileViolations` in class `AbstractIncrementingRenderer`
Parameters:
  `violations` - The iterator of violations to render.
Throws:
  `IOException`

#### end

    public void end()
             throws IOException

This method is at the very end of the Rendering process, after `Renderer.renderFileReport(Report)`.

Specified by:
  `end` in interface `Renderer`
Overrides:
  `end` in class `AbstractIncrementingRenderer`
Throws:
  `IOException`